<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="9.0.8" />
		<PackageReference Include="Microsoft.CodeAnalysis.CSharp.Scripting" Version="4.14.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.8" />
		<PackageReference Include="NLog.Web.AspNetCore" Version="6.0.3" />
		<PackageReference Include="OpenIddict.AspNetCore" Version="7.0.0" />
		<PackageReference Include="OpenIddict.Validation.AspNetCore" Version="7.0.0" />
		<PackageReference Include="OpenIddict.Validation.SystemNetHttp" Version="7.0.0" />
		<PackageReference Include="Serialize.Linq" Version="4.0.167" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\RobotNet.Clients\RobotNet.Clients.csproj" />
		<ProjectReference Include="..\RobotNet.MapShares\RobotNet.MapShares.csproj" />
		<ProjectReference Include="..\RobotNet.OpenIddictClient\RobotNet.OpenIddictClient.csproj" />
		<ProjectReference Include="..\RobotNet.RobotShares\RobotNet.RobotShares.csproj" />
		<ProjectReference Include="..\RobotNet.Script.Shares\RobotNet.Script.Shares.csproj" />
		<ProjectReference Include="..\RobotNet.Script\RobotNet.Script.csproj" />
	</ItemGroup>

</Project>
